services:
  url-converter:
    image: mickey666/url-converter:latest
    container_name: url-converter
    restart: unless-stopped
    ports:
      - "9001:5000"
    environment:
      # --- 用户自定义设置 ---
      
      # 1. 网页访问账号
      - CONVERTER_USER=
      # 2. 网页访问密码
      - CONVERTER_PASS=
      # 3. 指定 Mihomo (Clash Meta) 内核版本 (程序会自动下载)
      - MIHOMO_VERSION=v1.19.23
      
    volumes:
      # 持久化存储目录：
      # 用于保存下载的内核、短链数据库(shortlinks.json)
      # 挂载后，即使容器重启或升级，数据和内核都不会丢失
      - ./converter_data:/app/core
    
    logging:
      driver: "json-file"
      options:
        max-size: "10m"
        max-file: "3"